#ifndef XAUDIOCHANNELMAP_H
#define XAUDIOCHANNELMAP_H

#include "xasset.h"
#include "xaudiochannelmapentry.h"

#include <QVector>

class XAudioChannelMap : public XAsset
{
public:
    XAudioChannelMap();
    ~XAudioChannelMap();

    quint8 GetEntryCount() const;

    XAudioChannelMapEntry* GetMapEntry(int aIndex) const;
    void SetMapEntry(int aIndex, XAudioChannelMapEntry* aEntry);

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint8 mEntryCount;
    QVector<XAudioChannelMapEntry*> mEntries;
};

#endif // XAUDIOCHANNELMAP_H
